rename project and game to RhythmBullet

This commit is contained in:
Harrison Deng 2017-07-31 00:06:10 -05:00
parent db27f7dbae
commit 54c61fcba5
91 changed files with 234 additions and 743 deletions

1
HEAD
View File

@ -1 +0,0 @@
ref: refs/heads/master

View File

@ -1,6 +1,6 @@
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
package="zero1hd.polyjet"
package="zero1hd.rhythmbullet"
android:versionCode="1"
android:versionName="1.0" >
@ -12,7 +12,7 @@
android:label="@string/app_name"
android:theme="@style/GdxTheme" >
<activity
android:name="zero1hd.polyjet.AndroidLauncher"
android:name="zero1hd.rhythmbullet.AndroidLauncher"
android:label="@string/app_name"
android:screenOrientation="landscape"
android:configChanges="keyboard|keyboardHidden|orientation|screenSize">

View File

@ -18,7 +18,7 @@ android {
exclude 'META-INF/robovm/ios/robovm.xml'
}
defaultConfig {
applicationId "zero1hd.polyjet"
applicationId "zero1hd.rhythmbullet"
minSdkVersion 9
targetSdkVersion 25
}
@ -71,7 +71,7 @@ task run(type: Exec) {
}
def adb = path + "/platform-tools/adb"
commandLine "$adb", 'shell', 'am', 'start', '-n', 'zero1hd.polyjet/zero1hd.polyjet.AndroidLauncher'
commandLine "$adb", 'shell', 'am', 'start', '-n', 'zero1hd.rhythmbullet/zero1hd.rhythmbullet.AndroidLauncher'
}
// sets up the Android Eclipse project, using the old Ant based build.

View File

@ -1,6 +1,6 @@
<?xml version="1.0" encoding="utf-8"?>
<resources>
<string name="app_name">Polyjet</string>
<string name="app_name">RhythmBullet</string>
</resources>

View File

@ -1,10 +1,10 @@
package zero1hd.polyjet;
package zero1hd.rhythmbullet;
import android.os.Bundle;
import zero1hd.rhythmbullet.Main;
import com.badlogic.gdx.backends.android.AndroidApplication;
import com.badlogic.gdx.backends.android.AndroidApplicationConfiguration;
import zero1hd.polyjet.Main;
public class AndroidLauncher extends AndroidApplication {
@Override

View File

@ -16,7 +16,7 @@ allprojects {
version = '1.0'
ext {
appName = "Polyjet"
appName = "RhythmBullet"
gdxVersion = '1.9.6'
roboVMVersion = '2.3.0'
box2DLightsVersion = '1.4'

4
config
View File

@ -1,4 +0,0 @@
[core]
repositoryformatversion = 0
filemode = true
bare = true

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet;
package zero1hd.rhythmbullet;
import com.badlogic.gdx.Application;
import com.badlogic.gdx.Game;
@ -31,10 +31,10 @@ import com.badlogic.gdx.scenes.scene2d.ui.TextButton.TextButtonStyle;
import com.badlogic.gdx.scenes.scene2d.ui.TextField.TextFieldStyle;
import com.badlogic.gdx.scenes.scene2d.ui.Window.WindowStyle;
import zero1hd.polyjet.screens.MainMenu;
import zero1hd.polyjet.util.GenericFileTypeHandler;
import zero1hd.polyjet.util.RoundingResolutionHandler;
import zero1hd.polyjet.screens.LoadingScreen;
import zero1hd.rhythmbullet.screens.LoadingScreen;
import zero1hd.rhythmbullet.screens.MainMenu;
import zero1hd.rhythmbullet.util.GenericFileTypeHandler;
import zero1hd.rhythmbullet.util.RoundingResolutionHandler;
public class Main extends Game {
private boolean initComplete = false;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import com.badlogic.gdx.files.FileHandle;

View File

@ -1,11 +1,11 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.utils.FloatArray;
import edu.emory.mathcs.jtransforms.fft.FloatFFT_1D;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniSender;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniSender;
public class AudioAnalyzer {
private boolean containsData;
@ -80,7 +80,7 @@ public class AudioAnalyzer {
bassBinBegin = 0;
bassBinEnd = 12;
mBinBegin = 100;
mBinBegin = 50;
mBinEnd = 250;
umBinBegin = 350;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import javax.sound.sampled.AudioFormat;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import java.io.IOException;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import java.io.File;
import java.io.IOException;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio;
package zero1hd.rhythmbullet.audio;
import java.io.IOException;
import java.security.InvalidParameterException;

View File

@ -1,8 +1,8 @@
package zero1hd.polyjet.audio.map;
package zero1hd.rhythmbullet.audio.map;
import java.util.HashMap;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class EntitySpawnInfo {
private EntityIndex entityType;

View File

@ -1,7 +1,7 @@
package zero1hd.polyjet.audio.map;
package zero1hd.rhythmbullet.audio.map;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class GamePlayMap {
private AudioData musicData;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.audio.map;
package zero1hd.rhythmbullet.audio.map;
import com.badlogic.gdx.utils.Array;

View File

@ -1,15 +1,15 @@
package zero1hd.polyjet.audio.map;
package zero1hd.rhythmbullet.audio.map;
import org.apache.commons.math3.random.MersenneTwister;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.utils.FloatArray;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.AudioAnalyzer;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniSender;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.AudioAnalyzer;
import zero1hd.rhythmbullet.entity.EntityIndex;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniSender;
public class RhythmMapAlgorithm implements Runnable {
private MiniSender sender;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.controls;
package zero1hd.rhythmbullet.controls;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -6,7 +6,7 @@ import com.badlogic.gdx.Preferences;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import zero1hd.polyjet.Main;
import zero1hd.rhythmbullet.Main;
public class KeyMap {
TextureAtlas keyTextures;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity;
package zero1hd.rhythmbullet.entity;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Preferences;
@ -10,7 +10,7 @@ import com.badlogic.gdx.graphics.g2d.ParticleEffectPool;
import com.badlogic.gdx.graphics.g2d.ParticleEffectPool.PooledEffect;
import com.badlogic.gdx.utils.Array;
import zero1hd.polyjet.Main;
import zero1hd.rhythmbullet.Main;
public class CollisionDetector {
Array<Entity> enemies;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity;
package zero1hd.rhythmbullet.entity;
import java.util.HashMap;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity;
package zero1hd.rhythmbullet.entity;
import java.util.HashMap;
@ -8,12 +8,12 @@ import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.utils.Array;
import zero1hd.polyjet.entity.ally.Laser;
import zero1hd.polyjet.entity.enemies.Bar;
import zero1hd.polyjet.entity.enemies.Flake;
import zero1hd.polyjet.entity.enemies.Pellet;
import zero1hd.polyjet.entity.enemies.Shard;
import zero1hd.polyjet.entity.enemies.VoidCircle;
import zero1hd.rhythmbullet.entity.ally.Laser;
import zero1hd.rhythmbullet.entity.enemies.Bar;
import zero1hd.rhythmbullet.entity.enemies.Flake;
import zero1hd.rhythmbullet.entity.enemies.Pellet;
import zero1hd.rhythmbullet.entity.enemies.Shard;
import zero1hd.rhythmbullet.entity.enemies.VoidCircle;
public class EntityController {
private AssetManager assets;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity;
package zero1hd.rhythmbullet.entity;
import com.badlogic.gdx.utils.Pool;

View File

@ -1,12 +1,12 @@
package zero1hd.polyjet.entity;
package zero1hd.rhythmbullet.entity;
import zero1hd.polyjet.entity.ally.Laser;
import zero1hd.polyjet.entity.ally.PolyJetEntity;
import zero1hd.polyjet.entity.enemies.Bar;
import zero1hd.polyjet.entity.enemies.Flake;
import zero1hd.polyjet.entity.enemies.Pellet;
import zero1hd.polyjet.entity.enemies.Shard;
import zero1hd.polyjet.entity.enemies.VoidCircle;
import zero1hd.rhythmbullet.entity.ally.Laser;
import zero1hd.rhythmbullet.entity.ally.PolyJetEntity;
import zero1hd.rhythmbullet.entity.enemies.Bar;
import zero1hd.rhythmbullet.entity.enemies.Flake;
import zero1hd.rhythmbullet.entity.enemies.Pellet;
import zero1hd.rhythmbullet.entity.enemies.Shard;
import zero1hd.rhythmbullet.entity.enemies.VoidCircle;
public enum EntityIndex {
POLYJET(PolyJetEntity.class), BAR(Bar.class), VOID_CIRCLE(VoidCircle.class), SHARD(Shard.class), LASER(Laser.class), PELLET(Pellet.class), FLAKE(Flake.class);

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.ally;
package zero1hd.rhythmbullet.entity.ally;
import java.util.HashMap;
@ -7,9 +7,9 @@ import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.Sprite;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class Laser extends Entity {
boolean dead;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.ally;
package zero1hd.rhythmbullet.entity.ally;
import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.graphics.Texture;
@ -7,9 +7,9 @@ import com.badlogic.gdx.graphics.g2d.ParticleEffect;
import com.badlogic.gdx.math.Rectangle;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class PolyJetEntity extends Entity {
public float health;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.enemies;
package zero1hd.rhythmbullet.entity.enemies;
import java.util.HashMap;
@ -6,9 +6,9 @@ import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.math.Rectangle;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class Bar extends Entity {
private boolean dead;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.enemies;
package zero1hd.rhythmbullet.entity.enemies;
import java.util.HashMap;
@ -7,9 +7,9 @@ import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.math.Rectangle;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class Flake extends Entity {
private float timer;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.enemies;
package zero1hd.rhythmbullet.entity.enemies;
import java.util.HashMap;
@ -6,9 +6,9 @@ import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.utils.Pool.Poolable;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class Pellet extends Entity implements Poolable {
private boolean dead;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.enemies;
package zero1hd.rhythmbullet.entity.enemies;
import java.util.HashMap;
@ -7,9 +7,9 @@ import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.math.Rectangle;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class Shard extends Entity {
private int hp;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.entity.enemies;
package zero1hd.rhythmbullet.entity.enemies;
import java.util.HashMap;
@ -6,8 +6,8 @@ import com.badlogic.gdx.audio.Sound;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;
public class VoidCircle extends Entity {
private float timer;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.InputMultiplexer;
@ -6,9 +6,9 @@ import com.badlogic.gdx.Preferences;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.ui.stages.CreativeHUD;
import zero1hd.polyjet.ui.stages.GamePlayArea;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.ui.stages.CreativeHUD;
import zero1hd.rhythmbullet.ui.stages.GamePlayArea;
public class CreativeDebugScreen extends ScreenAdapter {
CreativeHUD creative;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.ScreenAdapter;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.InputMultiplexer;
@ -11,11 +11,11 @@ import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.ui.ImageButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.audio.map.GamePlayMap;
import zero1hd.polyjet.ui.stages.GameHUD;
import zero1hd.polyjet.ui.stages.GamePlayArea;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.audio.map.GamePlayMap;
import zero1hd.rhythmbullet.ui.stages.GameHUD;
import zero1hd.rhythmbullet.ui.stages.GamePlayArea;
public class GameScreen extends ScreenAdapter {
private GamePlayArea gameArea;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
@ -12,8 +12,8 @@ import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.utils.viewport.ScreenViewport;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.util.TransitionAdapter;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.util.TransitionAdapter;
public class LoadingScreen extends ScreenAdapter {
private Stage stage;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -12,12 +12,12 @@ import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import com.badlogic.gdx.utils.viewport.ScreenViewport;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.ui.pages.CreditsPage;
import zero1hd.polyjet.ui.pages.MainPage;
import zero1hd.polyjet.ui.pages.MoreOptionsPage;
import zero1hd.polyjet.ui.pages.OptionsPage;
import zero1hd.polyjet.util.TransitionAdapter;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.ui.pages.CreditsPage;
import zero1hd.rhythmbullet.ui.pages.MainPage;
import zero1hd.rhythmbullet.ui.pages.MoreOptionsPage;
import zero1hd.rhythmbullet.ui.pages.OptionsPage;
import zero1hd.rhythmbullet.util.TransitionAdapter;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.screens;
package zero1hd.rhythmbullet.screens;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
@ -8,13 +8,13 @@ import com.badlogic.gdx.math.Vector3;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.utils.viewport.ScreenViewport;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.Audio;
import zero1hd.polyjet.ui.pages.AnalyzePage;
import zero1hd.polyjet.ui.pages.MusicSelectionPage;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniListener;
import zero1hd.polyjet.util.TransitionAdapter;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.Audio;
import zero1hd.rhythmbullet.ui.pages.AnalyzePage;
import zero1hd.rhythmbullet.ui.pages.MusicSelectionPage;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniListener;
import zero1hd.rhythmbullet.util.TransitionAdapter;
public class PreGameScreen extends ScreenAdapter implements TransitionAdapter, MiniListener {

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Preferences;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -10,7 +10,7 @@ import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.InputListener;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import zero1hd.polyjet.controls.KeyMap;
import zero1hd.rhythmbullet.controls.KeyMap;
public class KeySetter extends Actor {
TextureRegion keyIcon;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.Preferences;
import com.badlogic.gdx.files.FileHandle;
@ -12,7 +12,7 @@ import com.badlogic.gdx.scenes.scene2d.ui.Table;
import com.badlogic.gdx.utils.Align;
import com.badlogic.gdx.utils.Disposable;
import zero1hd.polyjet.audio.AudioInfo;
import zero1hd.rhythmbullet.audio.AudioInfo;
public class MusicSelectable extends Button implements Disposable {

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.Batch;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.scenes.scene2d.Actor;
@ -9,7 +9,7 @@ import com.badlogic.gdx.scenes.scene2d.ui.Table;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import com.badlogic.gdx.utils.Array;
import zero1hd.polyjet.controls.KeyMap;
import zero1hd.rhythmbullet.controls.KeyMap;
public class SetControls extends Table {
public SetControls(Skin skin, KeyMap keyMap) {

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.builders;
package zero1hd.rhythmbullet.ui.builders;
import java.awt.Dimension;
import java.awt.Toolkit;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
@ -16,16 +16,16 @@ import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.badlogic.gdx.utils.Align;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.AudioAnalyzer;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.audio.AudioInfo;
import zero1hd.polyjet.audio.map.GamePlayMap;
import zero1hd.polyjet.audio.map.RhythmMapAlgorithm;
import zero1hd.polyjet.screens.GameScreen;
import zero1hd.polyjet.ui.builders.ScrollText;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniListener;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.AudioAnalyzer;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.audio.AudioInfo;
import zero1hd.rhythmbullet.audio.map.GamePlayMap;
import zero1hd.rhythmbullet.audio.map.RhythmMapAlgorithm;
import zero1hd.rhythmbullet.screens.GameScreen;
import zero1hd.rhythmbullet.ui.builders.ScrollText;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniListener;
public class AnalyzePage extends Page implements MiniListener {
AudioAnalyzer audioAnalyzer;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
@ -13,8 +13,8 @@ import com.badlogic.gdx.scenes.scene2d.ui.WidgetGroup;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.screens.PreGameScreen;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.screens.PreGameScreen;
public class MainPage extends Page {
private Image polyjetTitle;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.math.Vector3;
@ -7,10 +7,10 @@ import com.badlogic.gdx.scenes.scene2d.ui.ScrollPane;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.controls.KeyMap;
import zero1hd.polyjet.ui.builders.GraphicsTable;
import zero1hd.polyjet.ui.builders.SetControls;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.controls.KeyMap;
import zero1hd.rhythmbullet.ui.builders.GraphicsTable;
import zero1hd.rhythmbullet.ui.builders.SetControls;
public class MoreOptionsPage extends Page {
private KeyMap keymap;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import java.io.File;
import java.io.FilenameFilter;
@ -15,12 +15,12 @@ import com.badlogic.gdx.scenes.scene2d.ui.Table;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.AudioInfo;
import zero1hd.polyjet.ui.builders.MusicSelectable;
import zero1hd.polyjet.ui.windows.LoadingWindow;
import zero1hd.polyjet.ui.windows.NoticeWindow;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.AudioInfo;
import zero1hd.rhythmbullet.ui.builders.MusicSelectable;
import zero1hd.rhythmbullet.ui.windows.LoadingWindow;
import zero1hd.rhythmbullet.ui.windows.NoticeWindow;
import zero1hd.rhythmbullet.util.MiniEvents;
public class MusicSelectionPage extends Page {
private volatile Table musicChoices;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.math.Vector3;
import com.badlogic.gdx.scenes.scene2d.Actor;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -16,9 +16,9 @@ import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.ui.TextField;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.screens.CreativeDebugScreen;
import zero1hd.polyjet.screens.MainMenu;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.screens.CreativeDebugScreen;
import zero1hd.rhythmbullet.screens.MainMenu;
public class OptionsPage extends Page {
Table optionsTable = new Table();

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.scenes.scene2d.Group;
@ -6,7 +6,7 @@ import com.badlogic.gdx.scenes.scene2d.Touchable;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import zero1hd.polyjet.util.MiniSender;
import zero1hd.rhythmbullet.util.MiniSender;
public class Page extends Group {
private Label pageTitle;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.pages;
package zero1hd.rhythmbullet.ui.pages;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.stages;
package zero1hd.rhythmbullet.ui.stages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -13,21 +13,21 @@ import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.AudioAnalyzer;
import zero1hd.polyjet.audio.map.RhythmMapAlgorithm;
import zero1hd.polyjet.screens.MainMenu;
import zero1hd.polyjet.ui.windows.BeatViewer;
import zero1hd.polyjet.ui.windows.DifficultyWindow;
import zero1hd.polyjet.ui.windows.FPSWindow;
import zero1hd.polyjet.ui.windows.MGraphWindow;
import zero1hd.polyjet.ui.windows.BassUMGraphWindow;
import zero1hd.polyjet.ui.windows.MusicController;
import zero1hd.polyjet.ui.windows.MusicSelector;
import zero1hd.polyjet.ui.windows.SpawnerWindow;
import zero1hd.polyjet.ui.windows.VolumeWindow;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniListener;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.AudioAnalyzer;
import zero1hd.rhythmbullet.audio.map.RhythmMapAlgorithm;
import zero1hd.rhythmbullet.screens.MainMenu;
import zero1hd.rhythmbullet.ui.windows.BassUMGraphWindow;
import zero1hd.rhythmbullet.ui.windows.BeatViewer;
import zero1hd.rhythmbullet.ui.windows.DifficultyWindow;
import zero1hd.rhythmbullet.ui.windows.FPSWindow;
import zero1hd.rhythmbullet.ui.windows.MGraphWindow;
import zero1hd.rhythmbullet.ui.windows.MusicController;
import zero1hd.rhythmbullet.ui.windows.MusicSelector;
import zero1hd.rhythmbullet.ui.windows.SpawnerWindow;
import zero1hd.rhythmbullet.ui.windows.VolumeWindow;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniListener;
public class CreativeHUD extends Stage implements MiniListener {
MusicController musicPlayBackControls;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.stages;
package zero1hd.rhythmbullet.ui.stages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -11,9 +11,9 @@ import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.ui.builders.HealthBar;
import zero1hd.polyjet.ui.windows.FPSWindow;
import zero1hd.polyjet.ui.windows.PauseMenu;
import zero1hd.rhythmbullet.ui.builders.HealthBar;
import zero1hd.rhythmbullet.ui.windows.FPSWindow;
import zero1hd.rhythmbullet.ui.windows.PauseMenu;
public class GameHUD extends Stage {
private Label score;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.stages;
package zero1hd.rhythmbullet.ui.stages;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Preferences;
@ -11,17 +11,17 @@ import com.badlogic.gdx.graphics.glutils.ShaderProgram;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.utils.viewport.FitViewport;
import zero1hd.polyjet.Main;
import zero1hd.polyjet.audio.map.EntitySpawnInfo;
import zero1hd.polyjet.audio.map.GamePlayMap;
import zero1hd.polyjet.audio.map.MapWindowData;
import zero1hd.polyjet.controls.KeyMap;
import zero1hd.polyjet.entity.CollisionDetector;
import zero1hd.polyjet.entity.Entity;
import zero1hd.polyjet.entity.EntityController;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.ally.Laser;
import zero1hd.polyjet.entity.ally.PolyJetEntity;
import zero1hd.rhythmbullet.Main;
import zero1hd.rhythmbullet.audio.map.EntitySpawnInfo;
import zero1hd.rhythmbullet.audio.map.GamePlayMap;
import zero1hd.rhythmbullet.audio.map.MapWindowData;
import zero1hd.rhythmbullet.controls.KeyMap;
import zero1hd.rhythmbullet.entity.CollisionDetector;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityController;
import zero1hd.rhythmbullet.entity.EntityIndex;
import zero1hd.rhythmbullet.entity.ally.Laser;
import zero1hd.rhythmbullet.entity.ally.PolyJetEntity;
public class GamePlayArea extends Stage {

View File

@ -1,11 +1,11 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.utils.FloatArray;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.ui.builders.AudioGraph;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.ui.builders.AudioGraph;
public class BassUMGraphWindow extends Window {
AudioGraph graph;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.graphics.Pixmap;
import com.badlogic.gdx.graphics.Pixmap.Format;
@ -9,8 +9,8 @@ import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.WidgetGroup;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import zero1hd.polyjet.audio.AudioAnalyzer;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.rhythmbullet.audio.AudioAnalyzer;
import zero1hd.rhythmbullet.audio.AudioData;
public class BeatViewer extends Window {
Pixmap lights;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.ui.Label;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.scenes.scene2d.ui.Label;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.audio.Sound;

View File

@ -1,11 +1,11 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.utils.FloatArray;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.ui.builders.AudioGraph;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.ui.builders.AudioGraph;
public class MGraphWindow extends Window {
private AudioGraph graph;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.math.MathUtils;
@ -13,7 +13,7 @@ import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.rhythmbullet.audio.AudioData;
public class MusicController extends Window {
Skin skin;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.files.FileHandle;
@ -9,13 +9,12 @@ import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener.ChangeEvent;
import com.badlogic.gdx.utils.Array;
import zero1hd.polyjet.audio.Audio;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.polyjet.util.MiniEvents;
import zero1hd.polyjet.util.MiniSender;
import zero1hd.rhythmbullet.audio.Audio;
import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.util.MiniEvents;
import zero1hd.rhythmbullet.util.MiniSender;
public class MusicSelector extends Window {
boolean confirmed;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.audio.Sound;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.scenes.scene2d.ui.ScrollPane;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
@ -10,15 +10,15 @@ import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Slider;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import zero1hd.polyjet.entity.EntityIndex;
import zero1hd.polyjet.entity.Entity;
import zero1hd.polyjet.entity.EntityController;
import zero1hd.polyjet.entity.ally.Laser;
import zero1hd.polyjet.entity.enemies.Bar;
import zero1hd.polyjet.entity.enemies.Flake;
import zero1hd.polyjet.entity.enemies.Pellet;
import zero1hd.polyjet.entity.enemies.Shard;
import zero1hd.polyjet.entity.enemies.VoidCircle;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityController;
import zero1hd.rhythmbullet.entity.EntityIndex;
import zero1hd.rhythmbullet.entity.ally.Laser;
import zero1hd.rhythmbullet.entity.enemies.Bar;
import zero1hd.rhythmbullet.entity.enemies.Flake;
import zero1hd.rhythmbullet.entity.enemies.Pellet;
import zero1hd.rhythmbullet.entity.enemies.Shard;
import zero1hd.rhythmbullet.entity.enemies.VoidCircle;
public class SpawnerWindow extends Window {
private EntityController ec;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.ui.windows;
package zero1hd.rhythmbullet.ui.windows;
import com.badlogic.gdx.Preferences;
import com.badlogic.gdx.math.MathUtils;
@ -9,7 +9,7 @@ import com.badlogic.gdx.scenes.scene2d.ui.Slider;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;
import zero1hd.polyjet.audio.AudioData;
import zero1hd.rhythmbullet.audio.AudioData;
public class VolumeWindow extends Window {

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
import java.util.HashMap;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
import com.badlogic.gdx.assets.loaders.FileHandleResolver;
import com.badlogic.gdx.files.FileHandle;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
public enum MiniEvents {
SPECTRAL_FLUX_DONE, MUSIC_DATA_CLEANED, MUSIC_SELECTED, BACK, MAP_GENERATED, ANALYZER_ITERATED, MAPGEN_ITERATED;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
public interface MiniListener {
public void handle(MiniEvents ID);

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
import com.badlogic.gdx.utils.Array;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.assets.loaders.FileHandleResolver;

View File

@ -1,4 +1,4 @@
package zero1hd.polyjet.util;
package zero1hd.rhythmbullet.util;
import com.badlogic.gdx.Screen;

View File

@ -1 +0,0 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@ -3,7 +3,7 @@ apply plugin: "java"
sourceCompatibility = 1.6
sourceSets.main.java.srcDirs = [ "src/" ]
project.ext.mainClassName = "zero1hd.polyjet.desktop.DesktopLauncher"
project.ext.mainClassName = "zero1hd.rhythmbullet.desktop.DesktopLauncher"
project.ext.assetsDir = new File("../android/assets");
task run(dependsOn: classes, type: JavaExec) {

View File

@ -1,9 +1,9 @@
package zero1hd.polyjet.desktop;
package zero1hd.rhythmbullet.desktop;
import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;
import zero1hd.polyjet.Main;
import zero1hd.rhythmbullet.Main;
public class DesktopLauncher {
public static void main (String[] arg) {

View File

@ -1,15 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@ -1,24 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@ -1,8 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@ -1,14 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@ -1,49 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@ -1,53 +0,0 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local sha1> <remote ref> <remote sha1>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
z40=0000000000000000000000000000000000000000
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
then
# Handle delete
:
else
if [ "$remote_sha" = $z40 ]
then
# New branch, examine all commits
range="$local_sha"
else
# Update to existing branch, examine new commits
range="$remote_sha..$local_sha"
fi
# Check for WIP commit
commit=`git rev-list -n 1 --grep '^WIP' "$range"`
if [ -n "$commit" ]
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

View File

@ -1,169 +0,0 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up-to-date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@ -1,36 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first comments out the
# "Conflicts:" part of a merge commit.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
case "$2,$3" in
merge,)
/usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$1" ;;
*) ;;
esac
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

View File

@ -1,128 +0,0 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --bool hooks.allowunannotated)
allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
denycreatebranch=$(git config --bool hooks.denycreatebranch)
allowdeletetag=$(git config --bool hooks.allowdeletetag)
allowmodifytag=$(git config --bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero="0000000000000000000000000000000000000000"
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

View File

@ -1,6 +0,0 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~